Saltar al contenido principal
POST
/
v1
/
files
Crear Carga de Archivo
curl --request POST \
  --url https://api.olostep.com/v1/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "purpose": "context"
}
'
import requests

url = "https://api.olostep.com/v1/files"

payload = {
"filename": "<string>",
"purpose": "context"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', purpose: 'context'})
};

fetch('https://api.olostep.com/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "created": 123,
  "upload_url": "<string>",
  "expires_in": 123
}

Autorizaciones

Authorization
string
header
requerido

Encabezado de autenticación Bearer de la forma Bearer , donde es tu token de autenticación.

Cuerpo

application/json
filename
string
requerido

El nombre del archivo. Debe terminar con la extensión .json.

Pattern: \.json$
purpose
enum<string>
predeterminado:context

El propósito del archivo. Valores soportados: 'context' o 'batch'. Por defecto es 'context'.

Opciones disponibles:
context,
batch

Respuesta

Respuesta exitosa con URL de carga.

id
string

ID del Archivo

object
string

El tipo de objeto. "file.upload" para este endpoint.

created
integer

Timestamp de creación en época

upload_url
string<uri>

URL pre-firmada para subir el archivo. Expira en 10 minutos.

expires_in
integer

Número de segundos hasta que la URL de carga expire (600 segundos = 10 minutos)